<?php
/**
 * Cryozonic
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Single Domain License
 * that is available through the world-wide-web at this URL:
 * http://cryozonic.com/licenses/stripe.html
 * If you are unable to obtain it through the world-wide-web, 
 * please send an email to info@cryozonic.com so we can send 
 * you a copy immediately.
 *
 * @category   Cryozonic
 * @package    Cryozonic_Stripe
 * @copyright  Copyright (c) 2013 Cryozonic Ltd (http://cryozonic.com)
 */

$cards = $this->stripe->getCustomerCards();

if (!empty($cards)): ?>
    <li>
        <ul class="saved-cards" id="saved-cards">
            <?php foreach ($cards as $key => $card): ?>
            <li>
                <input type="radio" name="payment[cc_saved]" value="<?php echo $card->id; ?>" id="<?php echo $card->id; ?>" class="select">
                <label for="<?php echo $card->id; ?>">
                    <span class="type <?php echo $card->type ?>">
                        <?php echo (empty($card->type) ? $this->__('Card') : $card->type); ?>
                    </span>
                    <span class="last4 fade"><?php echo $this->__('ending in'); ?> <?php echo $card->last4; ?></span>
                    <span class="exp fade"><?php echo $this->__('expires'); ?>
                        <?php echo str_pad($card->exp_month,2,'0',STR_PAD_LEFT); ?>/<?php echo $card->exp_year; ?>
                    </span>
                </label>
            </li>
            <?php endforeach; ?>
            <li>
                <input type="radio" name="payment[cc_saved]" value="new_card" class="select validate-one-required-by-name" id="new_card">
                <label for="new_card">
                    <span class="type <?php echo $card->type ?>"><?php echo $this->__('Use a new card'); ?></span>
                </label>
            </li>
        </ul>
        <?php // Because we don't want to mess with the theme ?>
        <style type="text/css">
        ul#payment_form_<?php echo $_code ?> li {
            display: block;
        }
        ul#payment_form_<?php echo $_code ?> li.stripe-new {
            display: none;
        }
        ul#payment_form_<?php echo $_code ?>.stripe-new li.stripe-new {
            display: block;
        }
        .sp-methods ul.saved-cards li label {
            float: none;
        }
        ul.saved-cards {
            margin-top: 14px;
        }
        ul.saved-cards input.select {
            position: relative;
            top: -1px;
        }
        ul.saved-cards span {
            display: inline-block;
        }
        ul.saved-cards span.type {
            font-weight: bold;
            margin-left: 3px;
        }
        ul.saved-cards span.exp {
            float: right;
        }
        ul.saved-cards span.fade {
            color: #aaa;
            font-weight: normal;
        }
        </style>
        <script type="text/javascript">
        var useCard = function(evt) {
            var inputs = document.querySelectorAll(".stripe-input");
            var parentId = 'payment_form_<?php echo $_code ?>';
            if (this.value == 'new_card') {
                document.getElementById(parentId).className = "form-list stripe-new";
                for (var i in inputs) {
                    if (inputs[i].className)
                        inputs[i].className += " required-entry";
                    else
                        inputs[i].className = "required-entry";
                }
            } else {
                document.getElementById(parentId).className = "form-list";
                for (var i in inputs) {
                    if (inputs[i].className)
                        inputs[i].className = inputs[i].className.replace(/required-entry/g,"");
                }
            }
        }

        var inputs = document.querySelectorAll('#saved-cards input');
        for (var i = 0; i < inputs.length; i++) {
            inputs[i].onclick = useCard;
        }
        </script>
    </li>
<?php endif; ?>